-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local ThresholdSensorInterface =
    require 'mdb.bmc.kepler.Systems.ThresholdSensor.ThresholdSensorInterface'

local childs = {}
local ThresholdSensor = {childs = childs}

local Mdb = require 'mc.mdb'

local TThresholdSensor = Mdb.register_object('/bmc/kepler/Systems/:SystemId/ThresholdSensors/:Id', {
    {name = 'ThresholdSensor', interface = ThresholdSensorInterface.IThresholdSensor}
})
ThresholdSensor.ThresholdSensor = TThresholdSensor

function TThresholdSensor:ctor(SystemId, Id)
    self.path = '/bmc/kepler/Systems/' .. SystemId .. '/ThresholdSensors/' .. Id .. ''
end

return ThresholdSensor
